zenilib: zenilib/jni/external/angle/src/compiler/VariableInfo.cpp File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
VariableInfo.cpp File Reference
`#include "compiler/VariableInfo.h"`

Go to the source code of this file.

## Functions

static TString | arrayBrackets (int index)
static void | getBuiltInVariableInfo (const TType &type, const TString &name, const TString &mappedName, TVariableInfoList &infoList)
static void | getUserDefinedVariableInfo (const TType &type, const TString &name, const TString &mappedName, TVariableInfoList &infoList, ShHashFunction64 hashFunction)
static ShDataType | getVariableDataType (const TType &type)
static void | getVariableInfo (const TType &type, const TString &name, const TString &mappedName, TVariableInfoList &infoList, ShHashFunction64 hashFunction)

## Function Documentation

static TString arrayBrackets | ( | int | index | ) |

static

Definition at line 9 of file VariableInfo.cpp.

Referenced by getVariableInfo(), TOutputGLSLBase::visitSymbol(), and TOutputGLSLBase::writeFunctionParameters().

void getBuiltInVariableInfo | ( | const TType & | type,
|  | const TString & | name,
|  | const TString & | mappedName,
|  | TVariableInfoList & | infoList
| ) |  |

static

Definition at line 105 of file VariableInfo.cpp.

References ASSERT, EbtStruct, TType::getArraySize(), TType::getBasicType(), getVariableDataType(), TType::isArray(), and TVariableInfo::name.

Referenced by getVariableInfo().

void getUserDefinedVariableInfo | ( | const TType & | type,
|  | const TString & | name,
|  | const TString & | mappedName,
|  | TVariableInfoList & | infoList,
|  | ShHashFunction64 | hashFunction
| ) |  |

static

Definition at line 126 of file VariableInfo.cpp.

References ASSERT, EbtStruct, TStructure::fields(), TType::getBasicType(), TType::getStruct(), getVariableInfo(), TIntermTraverser::hash(), and i.

Referenced by getVariableInfo().

static ShDataType getVariableDataType | ( | const TType & | type | ) |

static

Definition at line 17 of file VariableInfo.cpp.

References EbtBool, EbtFloat, EbtInt, EbtSampler2D, EbtSampler2DRect, EbtSamplerCube, EbtSamplerExternalOES, TType::getBasicType(), TType::getNominalSize(), TType::isMatrix(), TType::isVector(), SH_BOOL, SH_BOOL_VEC2, SH_BOOL_VEC3, SH_BOOL_VEC4, SH_FLOAT, SH_FLOAT_MAT2, SH_FLOAT_MAT3, SH_FLOAT_MAT4, SH_FLOAT_VEC2, SH_FLOAT_VEC3, SH_FLOAT_VEC4, SH_INT, SH_INT_VEC2, SH_INT_VEC3, SH_INT_VEC4, SH_NONE, SH_SAMPLER_2D, SH_SAMPLER_2D_RECT_ARB, SH_SAMPLER_CUBE, SH_SAMPLER_EXTERNAL_OES, and UNREACHABLE.

Referenced by getBuiltInVariableInfo().

static void getVariableInfo | ( | const TType & | type,
|  | const TString & | name,
|  | const TString & | mappedName,
|  | TVariableInfoList & | infoList,
|  | ShHashFunction64 | hashFunction
| ) |  |

static

Definition at line 84 of file VariableInfo.cpp.

References arrayBrackets(), EbtStruct, TType::getArraySize(), TType::getBasicType(), getBuiltInVariableInfo(), getUserDefinedVariableInfo(), i, and TType::isArray().

Referenced by getUserDefinedVariableInfo(), and CollectAttribsUniforms::visitAggregate().